Subject: bug#23946: 25.0.91; Unicode issue on OS X (Emacs 25)

From: Geraldus <[email-masked]>
Date: Wed, 10 Aug 2016 08:49:07 +0000

Ok folks, I've installed just installed Emacs-pretest-25.1-rc1-universal
(from emacsformacosx.com), with this version issue does not appear!  Likely
it was already fixed! Thank you!

ср, 10 авг. 2016 г. в 13:41, Alan Third <[email-masked]>:

>
> On 10 August 2016 at 09:30, Geraldus <[email-masked]> wrote:
>
>> *> When you say ‘start Emacs manually from shell’, do you mean run the
>> GUI*
>> *> Emacs from the shell, or run it within the terminal?*
>> *> *
>> *> How are you running it, just typing ‘emacs’?*
>>
>> Yes, I mean GUI application.  I have two ways to launch GUI app — by
>> clicking on Emacs icon (the issue appears), and by command invocation in my
>> terminal; I use `fish` shell with default Mac OS Terminal app, the exact
>> command I'm using is
>>
>> fish -c '/Applications/Emacs.app/Contents/MacOS/Emacs&'
>>
>
> Can you please check the value of the $LANG environment variable within
> emacs when you load it each way:
>
> (getenv "LANG")
>
> This is set from the system when loaded via spotlight, but from the
> terminal's environment when loaded at the command line. It might have an
> effect if it's different, I'm not sure.
> --
> Alan Third
>